
Foreman - Feature #5506

Implement v2 search for smart proxies

04/30/2014 07:28 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We need this for puppet smart proxy provider.

Possibly, it would be good to check other resources like architectures, oses or media and implement them as well. We might be

adding puppet providers for those soon.

Let me know once this is merged, I will optimize our current smart proxy provider to make use of this new feature.

Associated revisions

Revision 428b1cfb - 05/02/2014 12:06 PM - Joseph Magen

fixes #5506 - added scoped search to SmartProxy for UI and API v2

Revision d4dff460 - 05/07/2014 11:55 AM - Joseph Magen

fixes #5506 - added scoped search to SmartProxy for UI and API v2

(cherry picked from commit 428b1cfb6f6e19294756078ee70d862a36a566de)

History

#1 - 04/30/2014 07:36 AM - Lukas Zapletal

- Target version set to 1.8.3

- translation missing: en.field_release set to 4

Ok we made a deal this is hitting 1.5! Thanks!

#2 - 04/30/2014 12:08 PM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#3 - 05/01/2014 09:26 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1418

#4 - 05/02/2014 12:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 428b1cfb6f6e19294756078ee70d862a36a566de.
